/***********************************************************************

    Copyright 2006-2007 Ma Bingyao

    These sources is free software. Redistributions of source code must
    retain the above copyright notice. Redistributions in binary form
    must reproduce the above copyright notice. You can redistribute it
    freely. You can use it with any free or commercial software.

    These sources is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY. Without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

        You may contact the author by:
           e-mail:  andot@coolcode.cn

*************************************************************************/
#ifndef _ROLLINGCODE_H_
#define _ROLLINGCODE_H_

//Const data
const uint32_t KeyNum[4] = { 0x57DB6EC5, 0xE67CB03D, 0x93DCA329, 0xDD3527C1 };

//Variable
RF_MSG rf_msg;
uint32_t Vec[2];

//PROTOTYPES
/**
* @brief Encrypt Message 
*
* @param id - keyfob ID (24-bit)
* @param buttoms - 8 bits of buttoms in bits [7...0]
* results in v[0] and v[1] (Global)
*/
void Encrypt_Message ( uint32_t, uint8_t, uint32_t *);

/**
* @brief Decrypt Message 
*
* @return result: TRUE or FALSE
* DEC_OK - checksum OK
* DEC_NOK - checksum not OK (error)
* It uses the content of v[1] and v[0]
* and load correct data in rf_msg structure
*/
uint8_t Decrypt_Message ( RF_MSG*,uint32_t *);

/**
* Read the current counter of ecrypt message 
* Return the count # in uint16_t format
*/
uint16_t Read_Encrypt_Counter(void);
/**
* Change the current counter of ecrypt message 
* Param: a veriable in uint16_t format
* Return none
*/
void Restore_Encrypt_Counter(uint16_t);

void Rotate_Buffer ( uint8_t rx[], uint8_t rxbuffer[]);

#endif