/**
* @brief Wake-Up Test Software for nSesame
* nSesame will go sleep  and wake up for ten times
*
* By: David Chen
* 
*/

#include <stdint.h>
#include "uSesame.h"

//**********************************************************
//********************* Test Defines ***********************
//**********************************************************

int main()
{
  uint16_t j,k,i=0;
  
  *PORTC=0;
  Port_Config(PTC, 0, 0, 0x03, 0x00, 0x00, 0x00, 0x00);         //PC.0 & PC.1 used to signal wake-up
  WKP_Timing(4,4);                                 // Wake up timmer setting

  while (1)
  {
    if (i <= 9)
    {
      *PORTC |= 0x02;                             // Signal sleep
       PMU_Sleep();
      *PORTC &= (~0x02);                          // Signal wake up
      i++;
    }
    for (j=0; j<=20; j++)                         //Signal system wakes up
    {
      for (k=0; k<=300; k++);
        *PORTC ^= 0x01;
    }
  }
}//main()


void SysTick_Handler( void )
{
  
}

void BrownOut_Handler ( void )
{
  
}

void ClkMon_Handler ( void )
{
  
}

void SS_Handler ( void )
{
  
}

void RFRE_Handler ( void )              // RF Rising Edge
{
  
}

void RFFE_Handler ( void )              // RF Falling Edge
{
  
}

void UART_Handler( void )  		// IRQ 8 UART
{
  
}

void LIN_Handler( void )  		// IRQ 9 LIN
{
  
}

void SPI_Handler( void )  		// IRQ A SPI
{
  
}

void US_Handler( void )  		// IRQ B Ultra-Sound
{
  
}

void RFMSG_Handler( void )  			// IRQ C - RF Message Arrived
{

}

void Default_IRQ_Handler( void )
{
  
}

void Timer0_Handler( void )
{
  
}

void Timer1_Handler( void )
{
  
}

void Timer2_Handler( void )
{
  
}

void Watchdog_Handler( void )
{
  
}

void I2C_Collision_Handler( void )
{

}

void I2C_Handler( void )
{

}

void PIN_Handler ( void )
{  

}


//***************************** End of File ************************************