/**
* @brief WDT Test Software for uSesame
* PB.4 pin change to stop WDT interrupt
* 1/25/2012
* By: CG
* 
*/


#include "uSesame.h"
#include <stdint.h>

//**********************************************************
//********************* Test Defines ***********************
//**********************************************************
int main()
{
  *PORTC=0;
  Port_Config(PTC, 0, 0, 0x01, 0x00, 0x00, 0x00, 0x00);         //PC.0 used to signal watching dog
// Enable PB.4 PIN interrupt
  Port_Config(PTB, 0, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00);      //PB.4 pull-up enabled before enabling PIN int to prevent from "turn-on" trigger
  uint8_t tmp = *PORTB;                                         // Read PB.4 for initializing the PB.4 status
  Port_Config(PTB, 0, 0x10, 0x00, 0x00, 0x10, 0x00, 0x00);      //PB.4 interrupt enable and pull-up enabled
//
//  uint8_t tmp = *PORTB;
  NVIC_ClearPendingIRQ(PIN_IRQn);                                 // Clear PIN change interrupt 
  NVIC_EnableIRQ(PIN_IRQn);	                                //PIN interrupt enabled in NVIC
  
  if (WDT_ReadFLag() == 0)                                      // Skip to enable WDT INT if boot from WDT timeout
  {
      WDT_Config (WDT_INT, WDT19);                              //Enable WDT to interrupt, 2^n/clk period
      NVIC_ClearPendingIRQ(WATCHDOG_IRQn);                        // Clear watch dog interrupt 
      NVIC_EnableIRQ(WATCHDOG_IRQn);	                        //WDT interrupt enabled in NVIC
  }
  WDT_Clear();                                                  // Clear WDT
  while(1);
    
}//main()


void BrownOut_Handler ( void )
{
  
}

void ClkMon_Handler ( void )      		// IRQ 1 clock Monitor
{
  
}

void SS_Handler ( void )          		// IRQ 2 Short Circuit
{
  
}

void PIN_Handler ( void )
{
	 WDT_Config (WDT_RST, WDT19);                                        //Enable WDT reset, 2^n/clk period. WDT will be disable at next reset.
}

void RFRE_Handler ( void )  		// IRQ 4 RF Rise Edge
{
  
}

void RFFE_Handler ( void )  		// IRQ 5 RF Fall Edge
{
  
}

void I2C_Collision_Handler ( void )  	// IRQ 6 I2C Collision
{
  
}

void I2C_Handler ( void )  		// IRQ 7 I2C
{
  
}

void UART_Handler ( void )  		// IRQ 8 UART
{
  
}

void LIN_Handler ( void )  		// IRQ 9 LIN
{
  
}

void SPI_Handler ( void )               // IRQ A SPI
{
  
}

void US_Handler ( void )  			// IRQ B Ultra-Sound
{
  
}

void RFMSG_Handler ( void )  		// IRQ C RF Message Arrived
{
  
}



void Timer0_Handler( void )
{
  
}

void Timer1_Handler( void )
{
  
}

void Timer2_Handler( void )
{
  
}

void Watchdog_Handler( void )
{
  *PORTC ^= 0x01;                              //Toggle PC.0  
  WDT_Clear();
  
}

void Default_IRQ_Handler ( void )
{
  
}


//***************************** End of File ************************************