/**
* @brief WDT Test Software for uSesame
*
* PC.0 outputs pulse when system reboot by WDT timeout.
* The chip could be not able to be connected by J-Link because the system 
* keeps repeatedly rebooting. Ground PC.1 will stop WDT rebooting.
*
* 1/25/2012
* By: David Chen
* 
*/

#include <stdint.h>
#include "uSesame.h"

//**********************************************************
//********************* Test Defines ***********************
//**********************************************************

int i = 0,j;

int main()
{
 int i;
 
//  WDT_Clear();

  //PortC.0 output enabled, PortC.1 pull up enabled
  Port_Config(PTC, 0, 0, 0x01, 0x00, 0x02, 0x00, 0x00); //PC.0 used to signal wdt interrupt; PC.1 Input with pull-up
  *PORTC |= 0x01;
  for (i = 0; i <50000; i++) WDT_Clear();               // To indicate the system restarted
  if ((*PORTC & 0x02) != 0)
    WDT_Config(WDT_RST, WDT19);                         //Enable WDT to reset, 2^n/clk period
  else *WDTCTRL = 0;                                    //Disable WDT and WDT reset at next system reset
  WDT_Clear();                                          // Signal waiting watchdog time out
  *PORTC &= (~0x01);
  while(1);
    
}//main()


void BrownOut_Handler ( void )
{
  
}

void ClkMon_Handler ( void )      		// IRQ 1 clock Monitor
{
  
}

void SS_Handler ( void )          		// IRQ 2 Short Circuit
{
  
}

void PIN_Handler ( void )
{

}

void RFRE_Handler ( void )  		// IRQ 4 RF Rise Edge
{
  
}

void RFFE_Handler ( void )  		// IRQ 5 RF Fall Edge
{
  
}

void I2C_Collision_Handler ( void )  	// IRQ 6 I2C Collision
{
  
}

void I2C_Handler ( void )  		// IRQ 7 I2C
{
  
}

void UART_Handler ( void )  		// IRQ 8 UART
{
  
}

void LIN_Handler ( void )  		// IRQ 9 LIN
{
  
}

void SPI_Handler ( void )               // IRQ A SPI
{
  
}

void US_Handler ( void )  			// IRQ B Ultra-Sound
{
  
}

void RFMSG_Handler ( void )  		// IRQ C RF Message Arrived
{
  
}



void Timer0_Handler( void )
{
  
}

void Timer1_Handler( void )
{
  
}

void Timer2_Handler( void )
{
  
}

void Watchdog_Handler( void )
{
  
}

void Default_IRQ_Handler ( void )
{
  
}


//***************************** End of File ************************************